# Spript para visualizar test de sangers mediante gnuplot(1)
#

# Visualizamos los patrones generados
splot [-8:8] [-8:8] [-8:8] "test.pat"
pause mouse "Pinche el ratón para continuar "


# Dibujarmos la evolución del MSE de reconstrucción durante entrenamiento
set xlabel "Ciclos"
set ylabel "MSERec"
plot "< grep 'MSERec (' test.log | cut -d: -f2" title "MSE reconstruido"
pause mouse "Pinche el ratón para continuar "
set xlabel ""
set ylabel ""

# Visualizamos los patrones reconstruidos
w11 = `cat test.ws | cut -f1 | head -1`
w12 = `cat test.ws | cut -f1 | head -2 | tail -1`
w13 = `cat test.ws | cut -f1 | tail -1`
w21 = `cat test.ws | cut -f2 | head -1`
w22 = `cat test.ws | cut -f2 | head -2 | tail -1`
w23 = `cat test.ws | cut -f2 | tail -1`
splot [-8:8] [-8:8] [-8:8] "test_rec.pat" title "Pat", "< echo 0.0 0.0 0.0" using 1:2:3:(w11):(w12):(w13) with vectors title "PCA1",  "< echo 0.0 0.0 0.0" using 1:2:3:(w21):(w22):(w23) with vectors title "PCA2"
pause mouse "Pinche el ratón para finalizar "
