#!/bin/sh

# Ejemplo de test de sangers
#
#

# Número de patrones a generar
NUMPAT=$1


# Creamos fichero de ejecución:
     # Una sola ejecución
     # Número de entradas de la red
     # Número de patrones de entrenamiento
     # Fichero de patrones
     # Número de salidad de la red
     # Fichero de salida de pesos
     # Fichero de salidas de la red
     # Número de patrones de test
     # Inicialización aletaroria de pesos
( echo 1 ;\
  echo 3 ;\
  echo $NUMPAT ;\
  echo test.pat ;\
  echo 2 ;\
  echo test.ws ;\
  echo test.red ;\
  echo $NUMPAT ;\
  echo RAMDOM ) > test.rus


# Ejecutamos la red de Sanger con 1000 iteraciones 
# y con ratio inicia de 0.01
echo "Ejecutando entrenamiento red de Sanger ..."
../src/sangers -m -a 0.01 -e 1 -i 1000 test.rus 2> test.log

# Reconstruimos los patrones a partir de test.red
echo "Reconstruyendo patrones desde salidas de la red de Sanger ..."
../src/recons test.ws test.red 3 2 > test_rec.pat
